Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.statistics
Interface CIBExternalResourcePerfStats

All Superinterfaces:
  CIBPerfStats, CIBProvider, CIBStats, javax.management.j2ee.statistics.Stats

All Known Implementing Classes:
  CIBExternalResourcePerfStatsImpl

public interface CIBExternalResourcePerfStats
extends CIBPerfStats

Provides methods that should be implemented by a CIBExternalServiceStats object

Field Summary

Fields inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`CIBStatsVersion`

Method Summary
`CIBValueStatistic` | `getAccumulatedOutboundAssociations()` Returns a Statistic representing the total number of associations to the application entity since application initialization, where it was the initiator.
`CIBValueStatistic` | `getFailedOutboundAssociations()` Returns a Statistic representing the total number associations where the application entity is initiator and association establishment has failed, since application initialization.
`CIBValueStatistic` | `getFailedQueries()` Returns a Statistic object containing the number of failed queries
`CIBValueStatistic` | `getLastOutboundActivity()` Returns a Statistic representing the value of sysUpTime at the time this application last had an outbound association.
`CIBValueStatistic` | `getOutboundAssociations()` Return a Statistic representing the number of current associations to the network service application, where it is the initiator.
`CIBTimeStatistic` | `getQueriesTime()` Returns a Statistic object representing the time for queries

Methods inherited from interface com.sun.mfwk.cib.statistics.CIBStats
`fromCompositeData, toCompositeData`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Method Detail

### getAccumulatedOutboundAssociations

    public CIBValueStatistic getAccumulatedOutboundAssociations()
                                                         throws CIBIOException,
                                                                CIBAttributeNotFoundException

  Returns a Statistic representing the total number of associations to the application entity since application initialization, where it was the initiator.

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getFailedOutboundAssociations

    public CIBValueStatistic getFailedOutboundAssociations()
                                                    throws CIBIOException,
                                                           CIBAttributeNotFoundException

  Returns a Statistic representing the total number associations where the application entity is initiator and association establishment has failed, since application initialization. Failed associations are not counted in the accumulated association totals."

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getOutboundAssociations

    public CIBValueStatistic getOutboundAssociations()
                                              throws CIBIOException,
                                                     CIBAttributeNotFoundException

  Return a Statistic representing the number of current associations to the network service application, where it is the initiator. An outbound association occurs when this application successfully connects to another one.

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getLastOutboundActivity

    public CIBValueStatistic getLastOutboundActivity()
                                              throws CIBIOException,
                                                     CIBAttributeNotFoundException

  Returns a Statistic representing the value of sysUpTime at the time this application last had an outbound association.

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getQueriesTime

    public CIBTimeStatistic getQueriesTime()
                                    throws CIBIOException,
                                           CIBAttributeNotFoundException

  Returns a Statistic object representing the time for queries

  Returns:
    CIBTimeStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

### getFailedQueries

    public CIBValueStatistic getFailedQueries()
                                       throws CIBIOException,
                                              CIBAttributeNotFoundException

  Returns a Statistic object containing the number of failed queries

  Returns:
    CIBValueStatistic
  Throws:
    `CIBIOException`
    `CIBAttributeNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD